library(tidyverse)

# cogification
scripts_cogi <- list.files("data-raw", pattern = "^cogification_") %>% 
  enframe(value = "script") %>%
  mutate(script = paste0("data-raw/", script)) %>%
  pull(script)

map(.x = scripts_cogi, .f = source)

# secretisation
scripts_secret <- list.files("data-raw", pattern = "^secret_") %>% 
  enframe(value = "script") %>%
  mutate(script = paste0("data-raw/", script)) %>%
  pull(script)

map(.x = scripts_secret, .f = source)

# indicateurs
scripts_ind <- list.files("data-raw", pattern = "^indicateur_") %>% 
  enframe(value = "script") %>%
  mutate(script = paste0("data-raw/", script)) %>%
  pull(script)

map(.x = scripts_ind, .f = source)

# > scripts_ind[10]
# [1] "data-raw/indicateur_fichier_foncier_etalement_urbain.R"

      