# cogification_dph_reno_lls  

rm(list = ls())

# librairies ------
library(datalibaba)
library(dplyr)
library(COGiter)
source("R/cogifier_it.R")
source("R/poster_doc_post_cogifier.R")

# cogification
df_cog <- cogifier_it(nom_source = "dph_reno_lls", metro = FALSE, na.rm = FALSE)

# verif na dans EPCI à cheval
filter(df_cog, CodeZone %in% c("246100663", "244400610", "243500741", "200072676")) %>% 
  View

# versement dans le sgbd/datamart.portrait_territoires et metadonnee -------------
poster_documenter_post_cogifier(source = "dph_reno_lls")

rm(list=ls())
