# cogification_pistes_cyclables_osm

rm(list = ls())

# librairies ------
library(datalibaba)
library(dplyr)
library(COGiter)
source("R/cogifier_it.R")
source("R/poster_doc_post_cogifier.R")

# cogification
cogifier_it(nom_source = "pistes_cyclables_osm")

# verif na dans EPCI à cheval
df_cog <- importer_data(db = "datamart", schema = "portrait_territoires",
                        table = paste0("cogifiee_", "pistes_cyclables_osm"))
# un binz à corriger sur les anciens millesimes et les zones hors pdl

# versement dans le sgbd/datamart.portrait_territoires et metadonnee -------------
poster_documenter_post_cogifier(source = "pistes_cyclables_osm")

rm(list=ls())