aggr_ter_conso <- function(.data) {
  .data %>%
  # rename_at(c(vars(matches("sources"), matches("operateur"))), funs(paste("operateur"))) %>% # (agregation du champ 'source')
    summarise(indquala=weighted.mean(.data$indquala, .data$consoa, na.rm=T),
              indquali=weighted.mean(.data$indquali, .data$consoi, na.rm=T),
              indqualt=weighted.mean(.data$indqualt, .data$consot, na.rm=T),
              indqualr=weighted.mean(.data$indqualr, .data$consor, na.rm=T),
              partr=weighted.mean(.data$partr, .data$consor, na.rm=T),
              indqualna=weighted.mean(.data$indqualna, .data$consona, na.rm=T),
              consoa=sum(.data$consoa, na.rm=T), pdla=sum(.data$pdla, na.rm=T),
              consoi=sum(.data$consoi, na.rm=T), pdli=sum(.data$pdli, na.rm=T),
              consot=sum(.data$consot, na.rm=T), pdlt=sum(.data$pdlt, na.rm=T),
              consor=sum(.data$consor, na.rm=T), pdlr=sum(.data$pdlr, na.rm=T),
              thermor=sum(.data$thermor),
              consona=sum(.data$consona, na.rm=T),pdlna=sum(.data$pdlna, na.rm=T),
              conso_gwh=sum(.data$conso_gwh, na.rm=T),
              # , sources=list(unique(as.character(unlist(operateur)))) # (agregation du champ 'source')
              .groups = "drop") %>% 
    select(everything(),
           -one_of("consoa", "pdla", "indquala", "consoi", "pdli", "indquali", "consot",
                   "pdlt", "indqualt", "consor", "pdlr", "indqualr", "thermor", "partr",
                   "consona", "pdlna", "indqualna", "conso_gwh"), 
           consoa, pdla, indquala, consoi, pdli, indquali, consot, pdlt,
           indqualt, consor, pdlr, indqualr, thermor, partr, consona, pdlna, indqualna, 
           conso_gwh)
}