# cogification_basemis

# librairies ------
library(datalibaba)
library(dplyr)
library(COGiter)

rm(list = ls())

source_basemis <- importer_data(db = "datamart", schema = "portrait_territoires",
                                table = "source_basemis")

cogifiee_basemis <- cogifier(source_basemis, code_commune = depcom, metro = FALSE) %>% 
  mutate(across(contains("Zone"), as.character))

poster_data(data = cogifiee_basemis,
            db = "datamart",
            schema = "portrait_territoires", 
            table = "cogifiee_basemis",
            pk = c("TypeZone", "Zone", "CodeZone", "date"),
            post_row_name = FALSE, 
            overwrite = TRUE,
            droits_schema = TRUE,
            user = "does")


# versement dans le sgbd/datamart.portrait_territoires et metadonnee -------------
source("R/poster_doc_post_cogifier.R")
poster_documenter_post_cogifier(source = "basemis")

rm(list=ls())
